Package org.apache.wiki.render

## Class XHTMLRenderer

- java.lang.Object
- - org.apache.wiki.render.WikiRenderer
  - - org.apache.wiki.render.XHTMLRenderer

    public class XHTMLRenderer
    extends WikiRenderer

Implements a WikiRenderer that outputs XHTML. Because the internal DOM representation is in XHTML already, this just basically dumps out everything out in a non-prettyprinted format.

Since:
  2.4

### Field Summary

### Fields inherited from class org.apache.wiki.render.WikiRenderer

`LINKS_SOURCE, LINKS_TRANSLATION, m_context, m_document`

### Constructor Summary

Constructors
`XHTMLRenderer​(Context context, WikiDocument doc)` Creates an XHTML 1.0 renderer.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getString()` Renders and returns the end result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XHTMLRenderer

    public XHTMLRenderer​(Context context,
                         WikiDocument doc)

Creates an XHTML 1.0 renderer.

Parameters:
  `context` - A WikiContext in which the rendering will take place.
  `doc` - The WikiDocument which shall be rendered.

### Method Detail

#### getString

    public java.lang.String getString()
                               throws java.io.IOException

Renders and returns the end result.

Specified by:
  `getString` in class `WikiRenderer`
Returns:
  A rendered string.
Throws:
  `java.io.IOException` - If rendering fails.